Summary: smeserver module to provide dynamic windows login scripts
%define name smeserver-loginscript
Name: %{name}
%define version 0.2
%define release 10
Version: %{version}
Release: %{release}
License: Freely distributable
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz
Packager: Daniel van Raay <danielvr@caa.org.au>
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires: e-smith-devtools
BuildArchitectures: noarch
Obsoletes: e-smith-loginscript
Requires: e-smith-lib >= 1.15.1-16
AutoReqProv: no

%changelog
* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.2-10.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Wed Aug 24 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.2-9.sme
- import to SME10

* Tue May 23 2006 smeserver manager panel sligh rename <bennettj@johnbennettservices.com> [0.2-8]

* Tue May 23 2006 Name change to smeserver-loginscript  <bennettj@johnbennettservices.com> [0.2-7]

* Mon May 8 2006 Applied jblogon.4.patch <bennettj@johnbennettservices.com> [0.2-6]

* Mon May 8 2006 Applied jblogon.3.patch <bennettj@johnbennettservices.com> [0.2-5]

* Mon May 8 2006 Applied jblogon.2.patch <bennettj@johnbennettservices.com> [0.2-4]

* Mon May 8 2006 Applied jblogon.1.patch <bennettj@johnbennettservices.com> [0.2-3]

* Fri Sep 28 2001 Daniel van Raay <danielvr@caa.org.au>
- fixed problem with netlogon.bat template location
- fixed typo in link to action script

* Mon Sep 03 2001 Daniel van Raay <danielvr@caa.org.au>
- updated for compatibility with e-smith 4.1

* Wed Jan 24 2001 Daniel van Raay <danielvr@caa.org.au>
- initial release


%description
smeserver enhancement that provides an smeserver manager panel
to configure dynamic windows login scripts.

Make sure you set the Domain Master option to yes on the 
workgroup panel in the e-smith-manager.


%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT  > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

